diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/matrix-array.h ns-3.44/src/core/model/matrix-array.h
--- ns-3.43/src/core/model/matrix-array.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/matrix-array.h	2025-03-09 16:55:49.359371000 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \ingroup Matrices
+ * @ingroup Matrices
  *
- * \brief MatrixArray class inherits ValArray class and provides additional
+ * @brief MatrixArray class inherits ValArray class and provides additional
  * interfaces to ValArray which enable page-wise linear algebra operations for
  * arrays of matrices. While ValArray class is focused on efficient storage,
  * access and basic algebra element-wise operations on 3D numerical arrays,
@@ -74,122 +74,122 @@
     // instruct the compiler to generate the default constructor
     MatrixArray() = default;
     /**
-     * \brief Constructor "pages" number of matrices that are of size "numRows"x"numCols",
+     * @brief Constructor "pages" number of matrices that are of size "numRows"x"numCols",
      * and are initialized with all-zero elements.
      * If only 1 parameter, numRows, is provided then a single 1D array is being created.
-     * \param numRows the number of rows
-     * \param numCols the number of columns
-     * \param numPages the number of pages
+     * @param numRows the number of rows
+     * @param numCols the number of columns
+     * @param numPages the number of pages
      */
     MatrixArray(size_t numRows, size_t numCols = 1, size_t numPages = 1);
     /**
-     * \brief Constructor creates a single array of values.size () elements and 1 column,
+     * @brief Constructor creates a single array of values.size () elements and 1 column,
      * and uses std::valarray<T> values to initialize the elements.
-     * \param values std::valarray<T> that will be used to initialize elements of 1D array
+     * @param values std::valarray<T> that will be used to initialize elements of 1D array
      */
     explicit MatrixArray(const std::valarray<T>& values);
     /**
-     * \brief Constructor creates a single array of values.size () elements and 1 column,
+     * @brief Constructor creates a single array of values.size () elements and 1 column,
      * and moves std::valarray<T> values to initialize the elements.
-     * \param values std::valarray<T> that will be moved to initialize elements of 1D array
+     * @param values std::valarray<T> that will be moved to initialize elements of 1D array
      */
     MatrixArray(std::valarray<T>&& values);
     /**
-     * \brief Constructor creates a single array of values.size () elements and 1 column,
+     * @brief Constructor creates a single array of values.size () elements and 1 column,
      * and uses std::vector<T> values to initialize the elements.
-     * \param values std::vector<T> that will be used to initialize elements of 1D array
+     * @param values std::vector<T> that will be used to initialize elements of 1D array
      */
     explicit MatrixArray(const std::vector<T>& values);
     /**
-     * \brief Constructor creates a single matrix of numRows and numCols, and uses
+     * @brief Constructor creates a single matrix of numRows and numCols, and uses
      * std::valarray<T> values to initialize the elements.
-     * \param numRows the number of rows
-     * \param numCols the number of columns
-     * \param values std::valarray<T> that will be used to initialize elements of 3D array
+     * @param numRows the number of rows
+     * @param numCols the number of columns
+     * @param values std::valarray<T> that will be used to initialize elements of 3D array
      */
     MatrixArray(size_t numRows, size_t numCols, const std::valarray<T>& values);
     /**
-     * \brief Constructor creates a single matrix of numRows and numCols, and moves
+     * @brief Constructor creates a single matrix of numRows and numCols, and moves
      * std::valarray<T> values to initialize the elements.
-     * \param numRows the number of rows
-     * \param numCols the number of columns
-     * \param values std::valarray<T> that will be moved to initialize elements of 3D array
+     * @param numRows the number of rows
+     * @param numCols the number of columns
+     * @param values std::valarray<T> that will be moved to initialize elements of 3D array
      */
     MatrixArray(size_t numRows, size_t numCols, std::valarray<T>&& values);
     /**
-     * \brief Constructor creates the array of numPages matrices of numRows x numCols dimensions,
+     * @brief Constructor creates the array of numPages matrices of numRows x numCols dimensions,
      * and uses std::valarray<T> values to initialize all the elements.
-     * \param numRows the number of rows
-     * \param numCols the number of columns
-     * \param numPages the number of pages
-     * \param values std::valarray<T> that will be used to initialize elements of 3D array
+     * @param numRows the number of rows
+     * @param numCols the number of columns
+     * @param numPages the number of pages
+     * @param values std::valarray<T> that will be used to initialize elements of 3D array
      */
     MatrixArray(size_t numRows, size_t numCols, size_t numPages, const std::valarray<T>& values);
     /**
-     * \brief Constructor creates the array of numPages matrices of numRows x numCols dimensions,
+     * @brief Constructor creates the array of numPages matrices of numRows x numCols dimensions,
      * and moves std::valarray<T> values to initialize all the elements.
-     * \param numRows the number of rows
-     * \param numCols the number of columns
-     * \param numPages the number of pages
-     * \param values std::valarray<T> that will be used to initialize elements of 3D array
+     * @param numRows the number of rows
+     * @param numCols the number of columns
+     * @param numPages the number of pages
+     * @param values std::valarray<T> that will be used to initialize elements of 3D array
      */
     MatrixArray(size_t numRows, size_t numCols, size_t numPages, std::valarray<T>&& values);
 
     /**
-     * \brief Element-wise multiplication with a scalar value.
-     * \param rhs is a scalar value of type T
-     * \returns The matrix in which each element has been multiplied by the given
+     * @brief Element-wise multiplication with a scalar value.
+     * @param rhs is a scalar value of type T
+     * @returns The matrix in which each element has been multiplied by the given
      * scalar value.
      */
     MatrixArray operator*(const T& rhs) const;
     /**
-     * \brief operator+ definition for MatrixArray<T>.
-     * \param rhs The rhs MatrixArray object
-     * \returns The result of operator+ of this MatrixArray and rhs MatrixArray
+     * @brief operator+ definition for MatrixArray<T>.
+     * @param rhs The rhs MatrixArray object
+     * @returns The result of operator+ of this MatrixArray and rhs MatrixArray
      */
     MatrixArray operator+(const MatrixArray<T>& rhs) const;
     /**
-     * \brief binary operator- definition for MatrixArray<T>.
-     * \param rhs The rhs MatrixArray object
-     * \returns The result of operator- of this MatrixArray and rhs MatrixArray
+     * @brief binary operator- definition for MatrixArray<T>.
+     * @param rhs The rhs MatrixArray object
+     * @returns The result of operator- of this MatrixArray and rhs MatrixArray
      */
     MatrixArray operator-(const MatrixArray<T>& rhs) const;
     /**
-     * \brief unary operator- definition for MatrixArray<T>.
-     * \return the result of the operator-
+     * @brief unary operator- definition for MatrixArray<T>.
+     * @return the result of the operator-
      */
     MatrixArray operator-() const;
     /**
-     * \brief Page-wise matrix multiplication.
+     * @brief Page-wise matrix multiplication.
      * This operator interprets the 3D array as an array of matrices,
      * and performs a linear algebra operation on each of the matrices (pages),
      * i.e., matrices from this MatrixArray and rhs with the same page indices are
      * multiplied.
      * The number of columns of this MatrixArray must be equal to the number of
      * rows in rhs, and rhs must have the same number of pages as this MatrixArray.
-     * \param rhs is another MatrixArray instance
-     * \returns The array of results of matrix multiplications.
+     * @param rhs is another MatrixArray instance
+     * @returns The array of results of matrix multiplications.
      */
     MatrixArray operator*(const MatrixArray<T>& rhs) const;
     /**
-     * \brief This operator interprets the 3D array as an array of matrices,
+     * @brief This operator interprets the 3D array as an array of matrices,
      * and performs a linear algebra operation on each of the matrices (pages),
      * i.e., transposes the matrix or array of matrices definition for MatrixArray<T>.
-     * \return The resulting MatrixArray composed of the array of transposed matrices.
+     * @return The resulting MatrixArray composed of the array of transposed matrices.
      */
     MatrixArray Transpose() const;
     /**
-     * \brief This operator calculates a vector o determinants, one for each page
-     * \return The resulting MatrixArray with the determinants for each page.
+     * @brief This operator calculates a vector o determinants, one for each page
+     * @return The resulting MatrixArray with the determinants for each page.
      */
     MatrixArray Determinant() const;
     /**
-     * \brief This operator calculates a vector of Frobenius norm, one for each page
-     * \return The resulting MatrixArray with the Frobenius norm for each page.
+     * @brief This operator calculates a vector of Frobenius norm, one for each page
+     * @return The resulting MatrixArray with the Frobenius norm for each page.
      */
     MatrixArray FrobeniusNorm() const;
     /**
-     * \brief Multiply each matrix in the array by the left and the right matrix.
+     * @brief Multiply each matrix in the array by the left and the right matrix.
      * For each page of this MatrixArray the operation performed is
      * lMatrix * matrix(pageIndex) * rMatrix, and the resulting MatrixArray<T>
      * contains the array of the results per page. If "this" has dimensions
@@ -205,9 +205,9 @@
      * This operation is not possible when using the multiplication operator because
      * the number of pages does not match.
      *
-     * \param lMatrix the left matrix in the multiplication
-     * \param rMatrix the right matrix in the multiplication
-     * \returns Returns the result of the multiplication which is a 3D MatrixArray
+     * @param lMatrix the left matrix in the multiplication
+     * @param rMatrix the right matrix in the multiplication
+     * @returns Returns the result of the multiplication which is a 3D MatrixArray
      * with dimensions J x K x P as explained previously.
      */
     MatrixArray MultiplyByLeftAndRightMatrix(const MatrixArray<T>& lMatrix,
@@ -218,47 +218,47 @@
     using ValArray<T>::AssertEqualDims;
 
     /**
-     * \brief Function that performs the Hermitian transpose of this MatrixArray
+     * @brief Function that performs the Hermitian transpose of this MatrixArray
      * and returns a new matrix that is the result of the operation.
      * This function assumes that the matrix contains complex numbers, because of that
      * it is only available for the <std::complex<double>> specialization of MatrixArray.
-     * \return Returns a new matrix that is the result of the Hermitian transpose
+     * @return Returns a new matrix that is the result of the Hermitian transpose
      */
     template <bool EnableBool = true,
               typename = std::enable_if_t<(std::is_same_v<T, std::complex<double>> && EnableBool)>>
     MatrixArray<T> HermitianTranspose() const;
 
     /**
-     * \brief Function that copies the current 1-page matrix into a new matrix with n copies of the
+     * @brief Function that copies the current 1-page matrix into a new matrix with n copies of the
      * original matrix
-     * \param nCopies Number of copies to make of the input 1-page MatrixArray
-     * \return Returns a new matrix with n page copies
+     * @param nCopies Number of copies to make of the input 1-page MatrixArray
+     * @return Returns a new matrix with n page copies
      */
     MatrixArray<T> MakeNCopies(size_t nCopies) const;
     /**
-     * \brief Function extracts a page from a MatrixArray
-     * \param page Index of the page to be extracted from the n-page MatrixArray
-     * \return Returns an extracted page of the original MatrixArray
+     * @brief Function extracts a page from a MatrixArray
+     * @param page Index of the page to be extracted from the n-page MatrixArray
+     * @return Returns an extracted page of the original MatrixArray
      */
     MatrixArray<T> ExtractPage(size_t page) const;
     /**
-     * \brief Function joins multiple pages into a single MatrixArray
-     * \param pages Vector containing n 1-page MatrixArrays to be merged into a n-page MatrixArray
-     * \return Returns a joint MatrixArray
+     * @brief Function joins multiple pages into a single MatrixArray
+     * @param pages Vector containing n 1-page MatrixArrays to be merged into a n-page MatrixArray
+     * @return Returns a joint MatrixArray
      */
     static MatrixArray<T> JoinPages(const std::vector<MatrixArray<T>>& pages);
     /**
-     * \brief Function produces an identity MatrixArray with the specified size
-     * \param size Size of the output identity matrix
-     * \param pages Number of copies of the identity matrix
-     * \return Returns an identity MatrixArray
+     * @brief Function produces an identity MatrixArray with the specified size
+     * @param size Size of the output identity matrix
+     * @param pages Number of copies of the identity matrix
+     * @return Returns an identity MatrixArray
      */
     static MatrixArray<T> IdentityMatrix(const size_t size, const size_t pages = 1);
     /**
-     * \brief Function produces an identity MatrixArray with the same size
+     * @brief Function produces an identity MatrixArray with the same size
      * as the input MatrixArray
-     * \param likeme Input matrix used to determine the size of the identity matrix
-     * \return Returns an identity MatrixArray
+     * @param likeme Input matrix used to determine the size of the identity matrix
+     * @return Returns an identity MatrixArray
      */
     static MatrixArray<T> IdentityMatrix(const MatrixArray& likeme);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/names.cc ns-3.44/src/core/model/names.cc
--- ns-3.43/src/core/model/names.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/names.cc	2025-03-09 16:55:49.359371000 -0700
@@ -15,8 +15,8 @@
 #include <map>
 
 /**
- * \file
- * \ingroup config
+ * @file
+ * @ingroup config
  * ns3::Names, ns3::NamesNode and ns3::NamePriv implementations.
  */
 
@@ -26,7 +26,7 @@
 NS_LOG_COMPONENT_DEFINE("Names");
 
 /**
- * \ingroup config
+ * @ingroup config
  *  Node in the naming tree.
  */
 class NameNode
@@ -37,22 +37,22 @@
     /**
      * Copy constructor.
      *
-     * \param [in] nameNode The NameNode to copy from.
+     * @param [in] nameNode The NameNode to copy from.
      */
     NameNode(const NameNode& nameNode);
     /**
      * Constructor.
      *
-     * \param [in] parent The parent NameNode.
-     * \param [in] name The name of this NameNode
-     * \param [in] object The object corresponding to this NameNode.
+     * @param [in] parent The parent NameNode.
+     * @param [in] name The name of this NameNode
+     * @param [in] object The object corresponding to this NameNode.
      */
     NameNode(NameNode* parent, std::string name, Ptr<Object> object);
     /**
      * Assignment operator.
      *
-     * \param [in] rhs The NameNode to copy from.
-     * \returns The lhs NameNode.
+     * @param [in] rhs The NameNode to copy from.
+     * @returns The lhs NameNode.
      */
     NameNode& operator=(const NameNode& rhs);
 
@@ -109,7 +109,7 @@
 }
 
 /**
- * \ingroup config
+ * @ingroup config
  * The singleton root Names object.
  */
 class NamesPriv : public Singleton<NamesPriv>
@@ -125,85 +125,85 @@
     /**
      * Internal implementation for Names::Add(std::string,Ptr<Object>)
      *
-     * \param [in] name The name of the object you want to associate;
+     * @param [in] name The name of the object you want to associate;
      *             which may be prepended with a path to that object.
-     * \param [in] object A smart pointer to the object itself.
-     * \return \c true if the object was named successfully.
+     * @param [in] object A smart pointer to the object itself.
+     * @return \c true if the object was named successfully.
      */
     bool Add(std::string name, Ptr<Object> object);
     /**
      * Internal implementation for Names::Add(std::string,std::string,Ptr<Object>)
      *
-     * \param [in] path A path name describing a previously named object
+     * @param [in] path A path name describing a previously named object
      *             under which you want this new name to be defined.
-     * \param [in] name The name of the object you want to associate.
-     * \param [in] object A smart pointer to the object itself.
-     * \return \c true if the object was named successfully.
+     * @param [in] name The name of the object you want to associate.
+     * @param [in] object A smart pointer to the object itself.
+     * @return \c true if the object was named successfully.
      */
     bool Add(std::string path, std::string name, Ptr<Object> object);
     /**
      * Internal implementation for Names::Add(Ptr<Object>,std::string,Ptr<Object>)
      *
-     * \param [in] context A smart pointer to an object that is used
+     * @param [in] context A smart pointer to an object that is used
      *             in place of the path under which you want this new
      *             name to be defined.
-     * \param [in] name The name of the object you want to associate.
-     * \param [in] object A smart pointer to the object itself.
-     * \return \c true if the object was named successfully.
+     * @param [in] name The name of the object you want to associate.
+     * @param [in] object A smart pointer to the object itself.
+     * @return \c true if the object was named successfully.
      */
     bool Add(Ptr<Object> context, std::string name, Ptr<Object> object);
 
     /**
      * Internal implementation for Names::Rename(std::string,std::string)
      *
-     * \param [in] oldpath The current path name to the object you want
+     * @param [in] oldpath The current path name to the object you want
      *             to change.
-     * \param [in] newname The new name of the object you want to change.
-     * \return \c true if the object was renamed successfully.
+     * @param [in] newname The new name of the object you want to change.
+     * @return \c true if the object was renamed successfully.
      */
     bool Rename(std::string oldpath, std::string newname);
     /**
      * Internal implementation for
      * Names::Rename(std::string,std::string,std::string)
      *
-     * \param [in] path A path name describing a previously named object
+     * @param [in] path A path name describing a previously named object
      *             under which you want this name change to occur
      *             (cf. directory).
-     * \param [in] oldname The currently defined name of the object.
-     * \param [in] newname The new name you want the object to have.
-     * \return \c true if the object was renamed successfully.
+     * @param [in] oldname The currently defined name of the object.
+     * @param [in] newname The new name you want the object to have.
+     * @return \c true if the object was renamed successfully.
      */
     bool Rename(std::string path, std::string oldname, std::string newname);
     /**
      * Internal implementation for
      * Names::Rename(Ptr<Object>,std::string,std::string)
      *
-     * \param [in] context A smart pointer to an object that is used
+     * @param [in] context A smart pointer to an object that is used
      *             in place of the path under which you want this
      *             new name to be defined.
-     * \param [in] oldname The current shortname of the object you want
+     * @param [in] oldname The current shortname of the object you want
      *             to change.
-     * \param [in] newname The new shortname of the object you want
+     * @param [in] newname The new shortname of the object you want
      *             to change.
-     * \return \c true if the object was renamed successfully.
+     * @return \c true if the object was renamed successfully.
      */
     bool Rename(Ptr<Object> context, std::string oldname, std::string newname);
 
     /**
      * Internal implementation for Names::FindName()
      *
-     * \param [in] object A smart pointer to an object for which you want
+     * @param [in] object A smart pointer to an object for which you want
      *             to find its name.
-     * \returns A string containing the name of the object if found,
+     * @returns A string containing the name of the object if found,
      *          otherwise the empty string.
      */
     std::string FindName(Ptr<Object> object);
     /**
      * Internal implementation of Names::FindPath()
      *
-     * \param [in] object A smart pointer to an object for which you
+     * @param [in] object A smart pointer to an object for which you
      *             want to find its fullname.
-     * \returns A string containing the name path of the object,
+     * @returns A string containing the name path of the object,
      *          otherwise the empty string.
      */
     std::string FindPath(Ptr<Object> object);
@@ -216,30 +216,30 @@
     /**
      * Internal implementation for ns3::Names::Find(std::string)
      *
-     * \param [in] path A string containing a name space path used
+     * @param [in] path A string containing a name space path used
      *             to locate the object.
-     * \returns A smart pointer to the named object converted to
+     * @returns A smart pointer to the named object converted to
      *          the requested type.
      */
     Ptr<Object> Find(std::string path);
     /**
      * Internal implementation for ns3::Names::Find(std::string,std::string)
      *
-     * \param [in] path A path name describing a previously named object
+     * @param [in] path A path name describing a previously named object
      *             under which you want to look for the specified name.
-     * \param [in] name A string containing a name to search for.
-     * \returns A smart pointer to the named object converted to
+     * @param [in] name A string containing a name to search for.
+     * @returns A smart pointer to the named object converted to
      *          the requested type.
      */
     Ptr<Object> Find(std::string path, std::string name);
     /**
      * Internal implementation for ns3::Names::Find(Ptr<Object>,std::string)
      *
-     * \param [in] context A smart pointer to an object that is used
+     * @param [in] context A smart pointer to an object that is used
      *             in place of the path under which you want this
      *             new name to be defined.
-     * \param [in] name A string containing a name to search for.
-     * \returns A smart pointer to the named object converted to
+     * @param [in] name A string containing a name to search for.
+     * @returns A smart pointer to the named object converted to
      *          the requested type.
      */
     Ptr<Object> Find(Ptr<Object> context, std::string name);
@@ -248,16 +248,16 @@
     /**
      * Check if an object has a name.
      *
-     * \param [in] object The object to check.
-     * \returns The corresponding NameNode, if it exists.
+     * @param [in] object The object to check.
+     * @returns The corresponding NameNode, if it exists.
      */
     NameNode* IsNamed(Ptr<Object> object);
     /**
      * Check if a name already exists as a child of a NameNode.
      *
-     * \param [in] node The node to search.
-     * \param [in] name The name to search for.
-     * \returns \c true if \c name already exists as a child of \c node.
+     * @param [in] node The node to search.
+     * @param [in] name The name to search for.
+     * @returns \c true if \c name already exists as a child of \c node.
      */
     bool IsDuplicateName(NameNode* node, std::string name);
 
